<?php
$title = 'Datos empresariales';
include_once 'includes/session.php';
if($_SESSION['userid']==1){
    header("Location:admin-business-data.php");
}
require_once 'db\conn.php';
require_once 'includes\auth_check.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $id = $_SESSION['userid'];
    $nomCognoms = $_POST['nomCognoms'];
    $raoSocial = $_POST['raoSocial'];
    $marca = $_POST['marca'];
    $url = $_POST['url'];
    $cif = $_POST['cif'];
    $pais = $_POST['pais'];
    $provincia = $_POST['provincia'];

    #$_SESSION['username'] = $username;
    #$_SESSION['userid'] = $result['id'];
    #Falta com avisar a l'usuari. Una vista? De moment redirigit a main
    $result = $user->editUser($id, $nomCognoms, $raoSocial, $marca, $url, $cif, $pais, $provincia);
    if ($result) {
        $_SESSION['nomCognoms'] = $nomCognoms;
        $_SESSION['raoSocial']  = $raoSocial;
        $_SESSION['marca']      = $marca;
        $_SESSION['url']        = $url;
        $_SESSION['cif']        = $cif;
        $_SESSION['pais']       = $pais;
        $_SESSION['provincia']  = $provincia;
    }
    $orig_file = $_FILES["newavatar"]["tmp_name"];
    $target_dir = 'uploads/profile/';
    $path_parts = pathinfo($_FILES["newavatar"]["name"]);
    if (isset($path_parts['extension'])) {
        $ext = $path_parts['extension'];
        $destination = $target_dir . $_SESSION['username'] . "." . $ext;
        //borrar l'actual
        if($_SESSION['logo'] != "uploads\profile\default\blank.png") unlink($_SESSION['logo']);
        //canviar el registre
        $user->changeAvatar($destination);
        move_uploaded_file($orig_file, $destination);
        //guardar el nou en la sessió
        $_SESSION['logo']           = $destination;
        header("Location:home-user.php");
    }
    header("Location: home-user.php");
}
require_once 'forms\header.php';


?>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <ol>
                <li><a href="index.php">Home</a></li>
                <li><a href="home-user.php"><?php echo $_SESSION['raoSocial'] ?> </span> <span class="sr-only">(current)</a></li>
                <li><?php echo $title ?> </span> <span class="sr-only">(current)</li>
            </ol>
            <h2>Datos empresariales de <?php echo $_SESSION['raoSocial'] ?></h2>

        </div>
    </section><!-- End Breadcrumbs -->

    <!-- ======= Contact Section ======= -->
    <section id="contact" class="contact section-bg pt-0">
        <div class="container" data-aos="fade-up">

            <div class="row">
                <div class="col-lg-2"></div>
                <div class="col-lg-9">
                    <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" role="form" class="php-email-form" enctype="multipart/form-data">
                        <div class="form-row">
                            <div class="col-sm-12 col-md-4 form-group">
                                <em>Razón Social</em>
                                <input type="text" name="raoSocial" class="form-control" id="raoSocial" placeholder="Razón Social" data-rule="minlen:4" data-msg="Please enter at least 4 chars" value="<?php echo $_SESSION['raoSocial'] ?>" />
                                <div class="validate"></div>
                            </div>
                            <div class="col form-group">
                                <em>Marca</em><br>
                                <input type="text" name="marca" class="form-control" id="marca" placeholder="Marca" data-rule="minlen:4" data-msg="Please enter at least 4 chars" value="<?php echo $_SESSION['marca'] ?>" />
                                <div class="validate"></div>
                            </div>
                            <div class="col form-group">
                                <em>CIF</em><br>
                                <input type="text" name="cif" class="form-control" id="cif" placeholder="Nombre y Apellidos" data-rule="minlen:4" data-msg="Please enter at least 4 chars" value="<?php echo $_SESSION['cif'] ?>" />
                                <div class="validate"></div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col-sm-12 col-md-6 form-group">
                                <em>Correo Electrónico</em>
                                <input type="email" class="form-control" name="email" id="email" placeholder="Correo electrónico" data-rule="email" data-msg="Please enter a valid email" value="<?php echo $_SESSION['email'] ?>" readonly />
                                <div class="validate"></div>
                            </div>
                            <div class="col form-group">
                                <em>Nombre y Apellidos</em><br>
                                <input type="text" name="nomCognoms" class="form-control" id="nomCognoms" placeholder="Nombre y Apellidos" data-rule="minlen:4" data-msg="Please enter at least 4 chars" value="<?php echo $_SESSION['nomCognoms'] ?>" />
                                <div class="validate"></div>
                            </div>
                        </div>
                        <div class="form-group">
                            <em>Página web</em>
                            <input type="text" class="form-control" name="url" id="url" placeholder="Págnia web" data-rule="minlen:4" data-msg="Please enter at least 8 chars of subject" value="<?php echo $_SESSION['url'] ?>" />
                            <div class="validate"></div>
                        </div>
                        <div class="form-row">

                            <div class="col form-group">
                                <em>País</em>
                                <input type="text" name="pais" class="form-control" id="pais" placeholder="" value="<?php echo $_SESSION['pais'] ?>" readonly>
                                <div class="validate"></div>
                            </div>
                            <div class="col form-group">
                                <em>Provincia</em>
                                <select class="form-control" name="provincia" id="provincia">

                                    <?php
                                    $result = $crud->getProvincias();
                                    foreach ($result as $prov) {
                                        if ($_SESSION['provincia'] == $prov)
                                            echo "<option><strong>$prov</strong></option>";
                                    }
                                    foreach ($result as $prov) {
                                        if ($_SESSION['provincia'] != $prov)
                                            echo "<option>$prov</option>";
                                    }
                                    ?>
                                </select>
                                <div class="validate"></div>
                            </div>
                        </div>
                        <em>Imagen corporativa</em>
                        <div class="form-row">
                            <div class="col col-sm-12 col-md-6 form-group">
                                <input type="file" name="newavatar" id="newavatar" class="custom-control-input inputfile inputfile-2" data-multiple-caption="{count} files selected" accept="image/*" />
                                <label for="newavatar"><span><i class="bx bx-upload"></i> Subir nueva imagen corporativa </span></label>
                            </div>
                            <div class="col col-sm-12 col-md-6 form-group">
                                <img src="<?php echo $_SESSION['logo']; ?>" alt="Logo Corporativo" style="background:lightgrey;height:150px;width:100%;display:block;object-fit:contain">
                            </div>
                        </div>
                        <br>
                        <div align="center">
                            <button type="submit" class="btn">Guardar datos</button><br>
                            <button type="reset" class="btn btn-outline-danger mt-2">Descartar</button>
                        </div>
                    </form>
                </div>

            </div>

        </div>
    </section>
    <End Contact Section>

</main><!-- End #main -->

<?php require_once 'forms\footer.php' ?>