<?php
$title = 'Usuario';

require_once 'db\conn.php';
include_once 'includes/session.php';
require_once 'includes\auth_check.php';
require_once 'forms\header.php';

?>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <ol>
                <li><a href="index.php">Home</a></li>
                <li><?php echo $_SESSION['raoSocial']?> </span> <span class="sr-only">(current)</li>
            </ol>
            <h2>Página de Usuario</h2>

        </div>
    </section><!-- End Breadcrumbs -->

    <!-- ======= Services Section ======= -->
    <section id="services" class="services">
        <div class="container" data-aos="fade-up" >
            <div class="row text-centered">

                <!--div class="col-lg-2 col-md-0"></div-->
                <div class="<?php if($_SESSION['userid']==1) echo "col-lg-4";else echo"col-lg-6"?> col-md-12 align-items-stretch mt-4  data-aos-delay="0" onclick="location.href='list-blank.php';" style="cursor: pointer;">
                    <div class="icon-box">
                        <div class="icon"><i class=" bx bx-store-alt"></i></div>
                        <h4><a href="list-blank.php">Cartera de <?php echo $_SESSION['marca'] ?></a></h4>
                        <p>Desde aquí podrá editar los servicios y productos que ofrece su empresa.</p>
                    </div>
                </div>

                <div class="<?php if($_SESSION['userid']==1) echo "col-lg-4";else echo"col-lg-6"?> col-md-12 align-items-stretch mt-4  data-aos-delay="100" onclick="location.href='business-data.php';" style="cursor: pointer;">
                    <div class="icon-box">
                        <div class="icon"><i class="bx bx-briefcase"></i></div>
                        <h4><a href="business-data.php">Datos empresariales</a></h4>
                        <p>Gestione aquí los datos de contacto y su logo corporativo.</p>
                    </div>
                </div>
                <?php
                if (isset($_SESSION['userid']) && $_SESSION['userid'] == "1") {
                ?>
                <div class="col-lg-4 col-md-12 align-items-stretch mt-4" data-aos-delay="200" onclick="location.href='newsmanager.php';" style="cursor: pointer;">
                    <div class="icon-box" >
                        <div class="icon" ><i class="bx bxs-news"></i></div>
                        <h4><a href="newsmanager.php">Noticias</a></h4>
                        <p>Gestión del portal de noticias, donde se pueden añadir, editar y eliminar.</p>
                    </div>
                </div>
                <?php } ?>

            </div>

        </div>
    </section><!-- End Services Section -->

</main><!-- End #main -->

<?php require_once 'forms\footer.php' ?>