<?php
$title = 'Home';
require_once 'forms\header.php';
require_once 'db\conn.php';
$classificacio = $crud->getClasificacio();
?>


<!-- ======= Hero Section ======= -->
<section id="hero">
    <div id="heroCarousel" class="carousel slide carousel-fade" data-ride="carousel">

        <ol class="carousel-indicators" id="hero-carousel-indicators"></ol>

        <div class="carousel-inner" role="listbox">

            <!-- Slide 1 -->
            <div class="carousel-item active" style="background-image: url(assets/img/slideATEVAL/slide-1.jpg)">
                <div class="carousel-container">
                    <div class="container">
                        <h2 class="animate__animated animate__fadeInDown">Bienvenido a <span>ATEVAL</span></h2>
                        <p class="animate__animated animate__fadeInUp">Ut velit est quam dolor ad a aliquid qui aliquid. Sequi ea ut et est quaerat sequi nihil ut aliquam. Occaecati alias dolorem mollitia ut. Similique ea voluptatem. Esse doloremque accusamus repellendus deleniti vel. Minus et tempore modi architecto.</p>
                        <a href="#portfolio" class="btn-get-started animate__animated animate__fadeInUp scrollto">Ver catálogo</a>
                    </div>
                </div>
            </div>

            <!-- Slide 2 -->
            <div class="carousel-item" style="background-image: url(assets/img/slideATEVAL/slide-2.jpg)">
                <div class="carousel-container">
                    <div class="container">
                        <h2 class="animate__animated animate__fadeInDown">Producción Nacional</h2>
                        <p class="animate__animated animate__fadeInUp">Ut velit est quam dolor ad a aliquid qui aliquid. Sequi ea ut et est quaerat sequi nihil ut aliquam. Occaecati alias dolorem mollitia ut. Similique ea voluptatem. Esse doloremque accusamus repellendus deleniti vel. Minus et tempore modi architecto.</p>
                        <a href="#portfolio" class="btn-get-started animate__animated animate__fadeInUp scrollto">Ver catálogo</a>
                    </div>
                </div>
            </div>

            <!-- Slide 3 -->
            <div class="carousel-item" style="background-image: url(assets/img/slideATEVAL/slide-3.jpg)">
                <div class="carousel-container">
                    <div class="container">
                        <h2 class="animate__animated animate__fadeInDown">Calidad e innovación</h2>
                        <p class="animate__animated animate__fadeInUp">Ut velit est quam dolor ad a aliquid qui aliquid. Sequi ea ut et est quaerat sequi nihil ut aliquam. Occaecati alias dolorem mollitia ut. Similique ea voluptatem. Esse doloremque accusamus repellendus deleniti vel. Minus et tempore modi architecto.</p>
                        <a href="#portfolio" class="btn-get-started animate__animated animate__fadeInUp scrollto">Ver catálogo</a>
                    </div>
                </div>
            </div>

        </div>

        <a class="carousel-control-prev" href="#heroCarousel" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon icofont-simple-left" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>

        <a class="carousel-control-next" href="#heroCarousel" role="button" data-slide="next">
            <span class="carousel-control-next-icon icofont-simple-right" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>

    </div>
</section><!-- End Hero -->

<main id="main">

        <!-- ======= Portfolio Section ======= -->
        <section id="portfolio" class="portfolio">
        <div class="container" data-aos="fade-up">

            <div class="section-title">
                <h2>Catálogo</h2>
                <p>Catálogo de productos y servicios</p>
            </div>

            <div class="row" data-aos="fade-up" data-aos-delay="100">
                <div class="col-lg-12 d-flex justify-content-center">
                    <ul id="portfolio-flters">
                        <li data-filter="*" class="filter-active">Todos</li>
                        <li data-filter=".filter-fil">Hilatura</li>
                        <li data-filter=".filter-teixit">Tejido</li>
                        <li data-filter=".filter-vestir">Ropa</li>
                        <li data-filter=".filter-altres">Otros</li>
                    </ul>
                </div>
            </div>

            <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="200">
                <?php
                $i = 1;
                foreach($classificacio as $categoria)
                {
                    ?>
                    <div class="col-lg-4 col-md-6 portfolio-item <?php echo $crud->getFiltre($categoria);?>" style="cursor:pointer" onclick="location.href='product-showcase.php?cat=<?php echo $i;?>'">
                    <img src="assets/img/portfolio/portfolio-<?php echo $i++;?>x.jpg" class="img-fluid" alt="">
                    <div class="portfolio-info">
                        <h4 class="col-10 pl-0" ><?php echo $categoria;?></a></h4>
                        <p><?php echo $crud->getFiltreText($categoria);?></p>
                        <!--a href="assets/img/portfolio/portfolio-1x.jpg" data-gall="portfolioGallery" class="venobox preview-link" title="App 1"><i class="bx bx-plus"></i></a-->
                        <a href="product-showcase.php?cat=<?php echo $i;?>" class="details-link" title="Oferentes"><i class="bx bx-link"></i></a>
                    </div>
                </div>
                <?php
                }
                ?>

            </div>

        </div>
    </section><!-- End Portfolio Section -->

</main><!-- End #main -->

<?php require_once 'forms\footer.php'?>