<?php
require_once 'db\conn.php';
include_once 'includes/session.php';
$prova = false;
if ($_SESSION['userid'] != "1") {
    header("Location: index.php");
}
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $crud->deleteNoticia($_POST['idnoticia']);
    setcookie("deletedNew", $_POST['idnoticia']);
    $prova = true;
    //header("Refresh: 0");
}
$title = 'Noticias';
require_once 'forms\header.php';
require_once 'includes\auth_check.php';

?>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <ol>
                <li><a href="index.php">Home</a></li>
                <li><a href="home-user.php"><?php echo $_SESSION['raoSocial'] ?> </span> <span class="sr-only">(current)</a></li>
                <li><?php echo $title ?> </span> <span class="sr-only">(current)</li>
            </ol>
            <h2>Gestor de Noticias</h2>
        </div>
    </section><!-- End Breadcrumbscommitplease-->


    <section class="inner-page">
    <?php if($prova)echo '<div class="alert alert-info text-center">Noticia eliminada correctamente. </div>';?>
    <?php if(isset($_GET['added']))echo '<div class="alert alert-info text-center">Noticia añadida correctamente. </div>';?>
    <?php if(isset($_GET['edited']))echo '<div class="alert alert-info text-center">Noticia modificada correctamente. </div>';?>
        <div class="container ">
            <h4>Herramientas de noticia</h4>
            <hr>
            <a href="addnew.php"><button class="btn btn-primary">Añadir noticia</button></a>
            <br>
        </div>
        <br>
        <div class="container">
            <?php
            $noticies = $crud->getNoticiesLlista();
            if ($noticies->rowCount() != 0) { ?>
                <h4>Lista de noticias</h4>
                <table class="table table-hover table-responsive">
                    <thead>
                        <tr>
                            <th scope="col" width="5%">id de Noticia</th>
                            <th scope="col" class="width: 29%">Titular</th>
                            <th scope="col" width="29%">Subtitular</th>
                            <th scope="col" width="10%">Fecha de Publicación</th>
                            <th scope="col" width="10%">Última Modificación</th>
                            <th scope="col" width="7%">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $i = 0;
                        while ($row = $noticies->fetch(PDO::FETCH_ASSOC)) {
                        ?>
                            <tr data-aos="zoom-in" data-aos-delay="<?php echo $i ?>">
                                <th scope="row"><?php echo $row['idnoticia']; ?></th>
                                <th scope="row"><?php echo substr($row['titular'], 0, 39);
                                                if (strlen($row['titular']) > 39) echo "..."; ?></th>
                                <td><?php echo substr($row['subtitular'], 0, 59);
                                    if (strlen($row['subtitular']) > 59) echo "..."; ?></td>
                                <td><?php echo $row['dataPub']; ?></td>
                                <td><?php echo $row['lastMod']; ?></td>
                                <td style="text-align:center;vertical-align:middle">
                                    <a href="editnew.php?new_id=<?php echo $row['idnoticia']; ?>" class="btn btn-info col-12 mb-1">Editar</a>
                                    <a class="btn btn-danger col-12" data-toggle="modal" data-target="#modalCenterid<?php echo $row['idnoticia'] ?>"><i class="bx bx-trash"></i></a>
                                </td>
                                <div class="modal fade" id="modalCenterid<?php echo $row['idnoticia'] ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLongTitle">¿Está seguro de que quiere eliminar esta noticia?</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <strong>Id de Noticia: </strong><?php echo $row['idnoticia'] . "\n"; ?>
                                                <br>
                                                <strong>Titular: </strong><?php echo substr($row['titular'], 0, 39);
                                                                            if (strlen($row['titular']) > 39) echo "...";
                                                                            echo "\n" ?>
                                                <br>
                                                <strong>Subtitular: </strong><?php echo substr($row['subtitular'], 0, 59);
                                                                                if (strlen($row['subtitular']) > 59) echo "...";
                                                                                echo "\n" ?>
                                            </div>
                                            <div class="modal-footer">
                                                <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post">
                                                    <input type="hidden" name="idnoticia" value="<?php echo $row['idnoticia']; ?>" readonly>
                                                    <div class="input" name="idnoticia" value="<?php echo $row['idnoticia']; ?>"></div>
                                                    <button type="submit" class="btn btn-danger">Eliminar</button>
                                                </form>
                                                <button type="button" class="btn btn-success" data-dismiss="modal">Volver</button>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </tr>

                    <?php
                            $i += 25;
                        }
                    }
                    ?>
                    </tbody>
                </table>
        </div>

    </section>

</main><!-- End #main -->



<?php
echo $_SESSION['userid'];
require_once 'forms\footer.php'; ?>