<?php
$title = 'Registro para Socios';
require_once 'db/conn.php';
include_once 'includes/session.php';
?>

<body>
    <br><br>
    <!-- ======= Contact Section ======= -->
    <section id="contact" class="contact section-bg">
        <div class="container">
            <?php
            if ($_SERVER['REQUEST_METHOD'] == 'POST') {
                /* Les dades d'usuari */
                $username = strtolower(trim($_POST['username']));
                $password = $_POST['password'];
                $repassword = $_POST['repassword'];
                $nomCognoms = $_POST['nomCognoms'];
                $raoSocial = $_POST['raoSocial'];
                $marca = $_POST['marca'];
                $url = $_POST['url'];
                $email = strtolower(trim($_POST['username']));
                $cif = $_POST['cif'];
                $pais = $_POST['pais'];
                $provincia = $_POST['provincia'];

                /* Comprovar si està ja l'usuari*/
                $result = $user->getUserbyUsername($username); #true si està
                if ($result[0] > 0) {
                    echo '<div class="alert alert-warning text-center" data-aos="fade-up">Usuario ya existente. </div>';
                }elseif($password !=$repassword) {
                    echo '<div class="alert alert-warning text-center" data-aos="fade-up">Las contraseñas no coinciden. </div>';
                }
                else {
                    /* La part de la imatge */
                    $orig_file = $_FILES["avatar"]["tmp_name"];
                    $target_dir = 'uploads/profile/';
                    $path_parts = pathinfo($_FILES["avatar"]["name"]);
                    if (isset($path_parts['extension'])) {

                        $ext = $path_parts['extension'];
                        $destination = $target_dir . $_POST['username'] . "." . $ext;
                        move_uploaded_file($orig_file, $destination);
                    } else {
                        $destination = "uploads\profile\default\blank.png";
                    }
                    $result = $user->insertUser($username, $password, $nomCognoms, $raoSocial, $marca, $url, $cif, $pais, $provincia, $destination);
                    if ($result) header("Location: home-user.php");
                }
            }
            require_once 'forms\header.php';
            ?>

            <div class="section-title">
                <h2>Registro</h2>
                <p>Registro para socios</p>
            </div>

            <div class="row ">

                <div class="col-lg-12">
                    <div class="row ">
                        <div class="col-lg-2"></div>
                        <div class="col-md-12 col-lg-8">
                            <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" class="php-email-form" enctype="multipart/form-data">
                            <h5>Código <strong>ATEVAL</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="marca" class="form-control" id="marca" placeholder="" autocomplete="off" autocomplete="organization-title" required>
                                    </div>
                                </div>
                                <h5>Email de <strong>contacto</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="email" name="username" class="form-control" id="username" placeholder="" value="<?php if ($_SERVER['REQUEST_METHOD'] == 'POST') echo $_POST['username']; ?>" required>
                                    </div>
                                </div>
                                <h5><strong>Contraseña</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="password" name="password" placeholder="" class="form-control" id="password" data-rule="minlen:4" data-msg="Please enter at least 4 chars" autocomplete="new-password" minlength="5" required>
                                    </div>
                                </div>
                                <h5>Repetir <strong>contraseña</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="password" name="repassword" placeholder="" class="form-control" id="repassword" autocomplete="new-password" required>
                                    </div>
                                </div>
                                <h5>Nombre y <strong>apellidos</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="nomCognoms" class="form-control" id="nomCognoms" placeholder="" autocomplete="name" required>
                                    </div>
                                </div>
                                <h5>Razón <strong>social</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="raoSocial" class="form-control" id="raoSocial" placeholder="" autocomplete="organization-title" required>
                                    </div>
                                </div>
                                <h5><strong>CIF</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="cif" class="form-control" id="cif" placeholder="" required autocomplete="address-line3" required>
                                    </div>
                                </div>
                                <h5>Nombre de <strong>Marca</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="marca" class="form-control" id="marca" placeholder="" autocomplete="off" autocomplete="organization-title" required>
                                    </div>
                                </div>
                                <h5>Página <strong>web</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="url" class="form-control" id="url" placeholder="" autocomplete="url" required>
                                    </div>
                                </div>
                                <h5>Logo <strong>Corporativo</strong> <i>(opcional)</i></h5>
                                <div class="form-row">
                                    <input type="file" name="avatar" id="avatar" class="custom-control-input inputfile inputfile-3" data-multiple-caption="{count} files selected" accept="image/*" value="" />
                                    <label for="avatar"><span><i class="bx bx-upload"></i> Escoger un archivo local </span></label>
                                </div>
                                <h5><strong>País</strong></h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="pais" class="form-control" id="pais" placeholder="" value="España" readonly>
                                    </div>
                                </div>
                                <h5><strong>Provincia</strong></h5>
                                <div class="form-row">
                                    <select class="form-control" name="provincia" id="provincia" required>
                                        <?php
                                        $result = $crud->getProvincias();
                                        foreach ($result as $prov) {
                                        ?>
                                            <option><?php echo $prov ?></option>
                                        <?php } ?>
                                    </select>
                                </div>

                                <div class="col-md-12 text-center">
                                    <br>
                                    <button type="submit" class="btn btn-outline-info text-center">Finalizar registro</button>
                                </div>

                            </form>
                            <br>
                        </div>
                        <div class="col-lg-2"></div>
                    </div>
                </div>
            </div>

        </div>
    </section>
    </form>
</body>

</html>
<?php require_once 'forms\footer.php' ?>