<?php
$title = 'Añadir producto';
include_once 'includes/session.php';
require_once 'db\conn.php';
require_once 'includes\auth_check.php';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        $crud->insertNoticia($_POST, $_FILES);
        header("location: newsmanager.php?added=true");
} else {
    require_once 'forms\header.php';
?>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container mb-0">

            <ol>
                <li><a href="index.php">Home</a></li>
                <li><a href="home-user.php"><?php echo $_SESSION['raoSocial'] ?> </span> <span class="sr-only"></a></li>
                <li><a href="newsmanager.php">Noticias </span> <span class="sr-only"></a></li>
                <li>Añadir noticia</span> <span class="sr-only">(current)</li>
            </ol>
            <h2>Añadir noticia</h2>
        </div>
    </section><!-- End Breadcrumbscommitplease-->

    <section class="contact section-bg">
        <div class="container">
            <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" role="form" class="php-email-form" enctype="multipart/form-data">
                <h4> Ficha de Noticia </h4>
                <hr>
                <?php
                $camps = ['titular','subtitular','imagen','cos'];
                foreach ($camps as $key ) {
                    //CAS D'ESCRIURE EN UNA FILA I D'IMATGE
                    if (strlen($key) <= 1) {
                    } elseif (strripos($key, "imagen") > -1) {?>
                        <h4>Imagen de portada</h4>
                
                        <div class="form-row">
                            <div class="col-md-8 col-sm-12 form-group">
                                <input type="file" name="imagen" id="imagen" class="custom-control-input inputfile inputfile-2" data-multiple-caption="{count} files selected" accept="image/*" />
                                <label for="imagen"><span><i class="bx bx-upload"></i> Subir nueva imagen de portada</span></label>
                            </div>
                        </div>
                    <?php
                    } elseif (strripos($key, "titular") > -1) {
                        echo "<h4>" . ucfirst($key) . "</h4>";
                    ?>
                        <input type="text" name="<?php echo $key?>" class="form-control" id="<? echo $key ?>" placeholder="<?php echo ucfirst($key) ?>" data-rule="minlen:4" data-msg="Please enter at least 4 chars" value="" />
                        <div class="validate"></div>
                        <br>

                    <?php

                    } else {
                        //echo "<h4>Este no el pilla". $key ."=>". $value. "</h4>";
                    }
                    ?>


                    <?php }
                foreach ($camps as $key) {
                    if (strripos($key, "cos") > -1) {
                        echo "<h4>" . ucfirst($key) . "</h4>";
                    ?>
                        <div class="form-group">
                            <textarea id="summernote" class="form-control" name="cos" rows="15" placeholder="Cuerpo de la noticia"></textarea>
                            <div class="validate"></div>
                        </div>
                        
                <?php

                    }
                }
                ?>
                <input type="hidden" name="id" id="id" hidden value="" ></input>
                <button type="submit" class="btn">Guardar</button><br>
            </form>
        </div>
    </section>

</main><!-- End #main -->
<?php }
     require_once 'forms\footer.php' ?>