<?php
$title = 'Añadir producto';
include_once 'includes/session.php';
require_once 'db\conn.php';
require_once 'includes\auth_check.php';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if ($_POST['cat'] == "Preparación e hilado de fibras") {
        $crud->insertFilat($_POST, $_FILES);
        header("location: list-blank.php?added=true");
    }
} else {
    require_once 'forms\header.php';
?>

    <main id="main">

        <!-- ======= Breadcrumbs ======= -->
        <section id="breadcrumbs" class="breadcrumbs">
            <div class="container mb-0">

                <ol>
                    <li><a href="index.php">Home</a></li>
                    <li><a href="home-user.php"><?php echo $_SESSION['raoSocial'] ?> </span> <span class="sr-only"></a></li>
                    <li><a href="list-blank.php">Cartera </span> <span class="sr-only"></a></li>
                    <li>Añadir producto</span> <span class="sr-only">(current)</li>
                </ol>
                <h2>Añadir producto</h2>

            </div>
        </section><!-- End Breadcrumbscommitplease-->

        <section class="contact section-bg ">
            <div class="container">
                <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" role="form" class="php-email-form" enctype="multipart/form-data">
                    <h4>Características - <?php echo $_GET['cat'] ?></h4>
                    <hr>
                    <?php
                    $camps = $crud->getCamps($_GET['cat']);
                    while ($row = $camps->fetch(PDO::FETCH_ASSOC)) {
                        //CASOS QUE NO S'HAN DE MOSTRAR//
                        if ($row['COLUMN_NAME'] == "id_product" || $row['COLUMN_NAME'] == "user_id" || $row['COLUMN_NAME'] == "idproduct" || $row['COLUMN_NAME'] == "categoria") {
                            if ($row['COLUMN_NAME'] == "id_product" && $_SESSION['userid'] != 1) { ?>
                                <h5>Categoría</h5>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="cat" class="form-control" id="cat" placeholder="<?php echo $_GET['cat'] ?>" value="<?php echo $_GET['cat'] ?>" readonly>
                                    </div>
                                </div><?php
                                    } elseif ($row['COLUMN_NAME'] == "id_product" && $_SESSION['userid'] == 1) {
                                        //SELECCIÓ D'USUARI (ADMINISTRADOR)
                                        ?>
                                <h5>Usuario propietario</h5>
                                <?php
                                        $llista = $user->getUsers();
                                ?>
                                <select class="form-control" name="username" id="username">
                                    <?php

                                        while ($row = $llista->fetch(PDO::FETCH_ASSOC)) {

                                            echo "<option>" . $row['username'] . "</option>";
                                        }
                                    ?>
                                </select><br>
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="cat" class="form-control" id="cat" placeholder="<?php echo $_GET['cat'] ?>" value="<?php echo $_GET['cat'] ?>" hidden>
                                    </div>
                                </div>
                            <?php
                                    }
                                }
                                //CASOS QUE SÓN UN INT
                                elseif (strripos($row['COLUMN_TYPE'], "int") > -1) {
                                    echo "<h4>" . $row['COLUMN_NAME'] . "</h4><br>";
                            ?>
                            <h5><?php echo ucfirst($row['COLUMN_NAME']); ?></strong></h5>
                            <div class="form-row">
                                <div class="col form-group">
                                    <input type="text" name="<?php echo $row['COLUMN_NAME'] ?>" class="form-control" id="<?php echo $row['COLUMN_NAME'] ?>" placeholder="" value="">
                                </div>
                            </div>
                            <br>
                        <?php

                                }
                                //CASOS DE SELECCIÓ MÚLTIPLE
                                elseif (strripos($row['COLUMN_TYPE'], "set") > -1) {
                                    echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>";
                                    $llista = str_replace("'", "", str_replace("','", " ", str_replace(")", "", str_replace(" ", "_", substr($row['COLUMN_TYPE'], 4)))));
                                    $elements = explode(" ", $llista);
                        ?>

                            <?php

                                    foreach ($elements as $el) {

                                        $el = str_replace("_", " ", $el);
                                        echo '<div class="form-check">';
                                        echo '<input class="form-check-input" type="checkbox" name="' . $row['COLUMN_NAME'] . ":" . $el . '" value="' . $el . '">';
                                        echo '<label class="form-check-label" for="' . $el . '">' . $el . '</label>';
                                        echo '</div>';

                                        //echo "<option>".$el=str_replace("_"," ",$el)."</option>";
                                    }
                            ?>
                            <br>
                        <?php
                                    //CASOS DE SELECCIÓ D'UNA LLISTA
                                } elseif (strripos($row['COLUMN_TYPE'], "enum") > -1) {
                                    echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>";
                                    $llista = str_replace("'", "", str_replace("','", " ", str_replace(")", "", str_replace(" ", "_", substr($row['COLUMN_TYPE'], 5)))));
                                    $elements = explode(" ", $llista);
                        ?>
                            <select class="form-control" name="<?php echo $row['COLUMN_NAME'] ?>" id="<?php echo $row['COLUMN_NAME'] ?>">
                                <?php

                                    foreach ($elements as $el) {

                                        echo "<option>" . $el = str_replace("_", " ", $el) . "</option>";
                                    }
                                ?>
                            </select><br>
                            <?php
                                    //CAS D'ESCRIURE EN UNA FILA I D'IMATGE
                                } elseif (strripos($row['COLUMN_TYPE'], "varchar") > -1) {
                                    echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>";
                                    switch ($row['COLUMN_NAME']) {
                                        case "imagen":
                            ?>
                                    <div class="form-row">
                                        <div class="col form-group">
                                            <input type="file" name="imagen" id="imagen" class="custom-control-input inputfile inputfile-2" data-multiple-caption="{count} files selected" accept="image/*" />
                                            <label for="imagen"><span><i class="bx bx-upload"></i> Subir nueva imagen de producto (opcional)</span></label>
                                        </div>
                                    </div>
                                <?php
                                            break;
                                        default:
                                ?>
                                    <input type="text" name="<?php echo $row['COLUMN_NAME'] ?>" class="form-control" id="<?php echo $row['COLUMN_NAME'] ?>" placeholder="<?php echo ucfirst($row['COLUMN_NAME']) ?>" data-rule="minlen:4" data-msg="Please enter at least 4 chars" />
                                    <div class="validate"></div>
                            <?php


                                    }
                                    //CAS D'ESCRIURE EN UN TEXT LLARG
                                } elseif (strripos($row['COLUMN_TYPE'], "mediumtext") > -1) {
                                    echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>"; ?>
                            <div class="form-group">
                                <textarea class="form-control" name="<?php echo $row['COLUMN_NAME'] ?>" rows="5" placeholder="<?php echo ucfirst($row['COLUMN_NAME']) ?>"></textarea>
                                <div class="validate"></div>
                            </div>
                        <?php

                                } else {
                                    echo "<h4>Este no el pilla" . $row['COLUMN_TYPE'] . " " . $row['COLUMN_NAME']  . "</h4>";
                                }
                        ?>


                    <?php }
                    ?>
                    <button type="submit" class="btn">Guardar</button><br>
                <?php
            }
                ?>

                </form>
            </div>
        </section>

    </main><!-- End #main -->
    <?php require_once 'forms\footer.php' ?>