<?php
$title = 'La Asociación';
require_once 'forms\header.php';
require_once 'db\conn.php'
?>
<main>
    <br><br>
    <section id="contact" class="contact section-bg">
        <div class="container">


            <div class="section-title">
                <h2>ATEVAL</h2>
                <p>AVISO LEGAL </p>
            </div>

            <p align="justify">El uso de la <strong>PLATAFORMA</strong> se rige por los presentes términos y condiciones, por lo que le aconsejamos firmemente que las lea atentamente antes de utilizarla o navegar por ella.</p>

            <p align="justify">Se considerará USUARIO a toda persona que entre en la <strong>PLATAFORMA</strong>. Dentro de ellos, se distinguirán dos tipos en función de cómo interactúen/se registren en ésta:</p>
            <ul>
                <li align="justify">Los usuarios que quieran obtener información sobre los diferentes productos sanitarios de protección incluidos en la <strong>PLATAFORMA</strong>, así como ponerse en contacto con aquellos que los ofertan (USUARIOS finales).</li>

                <li align="justify">Los usuarios que publiquen en la <strong>PLATAFORMA</strong> su oferta de productos sanitaros de protección y seguridad personal (USUARIOS oferentes). Estos usuarios han de ser empresas, no permitiendo en la <strong>PLATAFORMA</strong> realizar ofertas a usuarios particulares.</li>
            </ul>
            <p align="justify">Cuando se hable de ambos indistintamente se hará referencia a ellos como USUARIO/S.</p>

            <p align="justify">Sentado lo anterior, el USUARIO reconoce ser consciente del acceso y existencia de estas condiciones de uso y de la necesidad de conocerlas. Por consiguiente, si el USUARIO continúa consultando el sitio web significará que acepta plena y completamente las presentes condiciones.</p>

            <p align="justify">De conformidad con lo previsto en artículo 13 del Reglamento (UE) 2016/679 del Parlamento Europeo y del Consejo, de 27 de abril de 2016, relativo a la protección de las personas físicas en lo que respecta al tratamiento de datos personales y a la libre circulación de estos datos y por el que se deroga la Directiva 95/46/CE (Reglamento general de protección de datos), el artículo 11 de la Ley Orgánica 3/2018, de 5 de diciembre, de Protección de Datos Personales y en el artículo 10 de la Ley 34/2002, de 11 de Julio de servicios de la Sociedad de la Información y Comercio Electrónico (LSSI-CE), se pone en conocimiento del USUARIO que accede a esta página web con el dominio www.productosemergencias.com (en adelante, la <strong>PLATAFORMA</strong>), la información sobre sus condiciones de uso:</p>
            <br>
            <h3 align="justify">Información General sobre el PRESTADOR DEL SERVICIO:</h3>
            <ul>
                <li align="justify">Titular de la <strong>PLATAFORMA</strong>: Asociación de Empresarios Textiles de la Comunidad Valenciana ATEVAL (ATEVAL)

                <li align="justify">CIF: G-46108569</li>

                <li align="justify">Dirección postal: C. Els Telers, 20 - Ontinyent (46870-Valencia)</li>

                <li align="justify">Teléfono: 96 291 30 30</li>

                <li align="justify">Correo electrónico de contacto: ateval@ateval.com</li>
            </ul>
            <p align="justify">Las presentes Condiciones Generales de Uso regulan el acceso y el uso de la <strong>PLATAFORMA</strong> creada por ATEVAL, quien se reserva el derecho a modificar periódicamente las condiciones del presente documento. Las condiciones modificadas entrarán en vigor en la fecha de su publicación online en la <strong>PLATAFORMA</strong> para todos los USUARIOS. En consecuencia, los USUARIOS deben consultar regularmente dichas condiciones para conocer de sus actualizaciones.</p>

            <h3 align="justify">Finalidad de la <strong>PLATAFORMA</strong></h3>
            <p align="justify">La página web <del>www.PERDEFINIR.com</del> es una <strong>PLATAFORMA</strong> web creada por ATEVAL (cuyo principal objetivo es defender y representar los intereses comunes de las empresas del sector textil español), que tiene como finalidad ordenar la oferta actual de productos (la <strong>PLATAFORMA</strong>).</p>

            <p align="justify">Se trata de una <strong>PLATAFORMA</strong> sin venta online, siendo ATEVAL su propietaria y promotora, pero no interviniendo esta ni en el intercambio de información (más allá de facilitar el primer contacto entre USUARIOS) ni en la eventual transacción. Las compras de producto no se realizan a través de la <strong>PLATAFORMA</strong> sino directamente entre sus USUARIOS.</p>


            <h3 align="justify">Menores de edad</h3>
            <p align="justify">ATEVAL dirige sus servicios a USUARIOS mayores de 18 años. Los menores de edad no están autorizados a utilizar los servicios de la <strong>PLATAFORMA</strong> y no deberán, por tanto, enviar sus datos personales a ATEVAL. En el caso de que se incumpla lo que establece esta cláusula, ATEVAL no se hace responsable de las posibles consecuencias que pudieran derivarse de su incumplimiento.</p>

            <h3 align="justify">Propiedad Industrial e Intelectual</h3>
            <p align="justify">Todos los contenidos de la <strong>PLATAFORMA</strong> (incluyendo, pero no limitado a textos, fotografías, gráficos, imágenes, iconos, tecnología, software, códigos fuente y objeto, links y demás material audio audiovisual, diseño gráfico y códigos fuente (en adelante, el CONTENIDO) son propiedad exclusiva de ATEVAL o de terceros (estando ATEVAL autorizada para usarlos) y el USUARIO de la <strong>PLATAFORMA</strong> se compromete a respetarlos y no infringirlos ni copiarlos.</p>

            <p align="justify">En modo alguno los derechos de explotación reconocidos por la normativa vigente en materia de derechos de autor se transfieren al USUARIO,excepto los que sean estrictamente necesarios para el uso de la <strong>PLATAFORMA</strong>. En consonancia con lo anteriormente expuesto, el acceso a la página web no da derecho alguno sobre las marcas registradas, patentes, nombres comerciales y/o logos que aparecen en ella, ni se concede ningún tipo de licencia o autorización para el uso de los elementos y derechos de esta.</p>

            <p align="justify">Asimismo, queda totalmente prohibida la copia, reproducción, adaptación, modificación, distribución, comercialización, comunicación pública y/o cualquier otra acción que comporte una infracción de la normativa vigente española y/o internacional en materia de propiedad intelectual y/o industrial, así como el uso de los contenidos de la <strong>PLATAFORMA</strong> si no es con la previa autorización expresa y por escrito de ATEVAL.</p>

            <p align="justify">Cualquier uso no autorizado del Contenido de la <strong>PLATAFORMA</strong> supondrá infracción de las leyes de la Propiedad Intelectual, Propiedad Industrial y/o competencia desleal, así como otras posibles normas, ante lo cual ATEVAL iniciará y ejercitará aquellas acciones civiles y/o penales que correspondan contra quienes infrinjan o lesionen sus derechos.</p>

            <h3 align="justify">Política de privacidad y protección de datos</h3>
            <p align="justify">ATEVAL tiene establecida una política de privacidad y protección en lo que refiere a los datos de carácter personal, que recoge, trata o custodia dichos datos y que se encuentra recogida aquí.</p>

            <h3 align="justify">Exclusión de garantías y responsabilidad</h3>
            <p align="justify">El USUARIO reconoce que la utilización de la <strong>PLATAFORMA</strong> y de sus contenidos y servicios se desarrolla bajo su exclusiva responsabilidad. En concreto, a título meramente enunciativo y que más adelante será completado con otra casuística, ATEVAL no asume ninguna responsabilidad en los siguientes ámbitos:</p>

            <ul>
                <li align="justify">La disponibilidad del funcionamiento de la página web, sus servicios y contenidos y su calidad o interoperabilidad.</li>

                <li align="justify">Que la página web sirva a los objetivos del USUARIO.</li>

                <li align="justify">La infracción de la legislación vigente por parte del USUARIO o terceros, incluidos los derechos de propiedad intelectual e industrial que sean titularidad de otras personas o entidades.</li>

                <li align="justify">La existencia de códigos maliciosos o cualquier otro elemento informático dañino que pudiera causar el sistema informático del USUARIO o de terceros. Corresponde al USUARIO,en todo caso, disponer de herramientas adecuadas para la detección y desinfección de estos elementos.</li>

                <li align="justify">El acceso fraudulento a los contenidos o servicios por terceros no autorizados, o, en su caso, la captura, eliminación, alteración, modificación o manipulación de los mensajes y comunicaciones de cualquier clase que dichos terceros pudiera realizar.</li>

                <li align="justify">La exactitud, veracidad, actualidad y utilidad de los contenidos y la utilización posterior que de ellos haga el USUARIO. ATEVAL empleará todos los esfuerzos y medios razonables para facilitar información actualizada y fehaciente.</li>

                <li align="justify">Los daños producidos a equipos informáticos durante el acceso a la página web y los daños producidos a los USUARIOS cuando tengan su origen en fallos o desconexiones en las redes de telecomunicaciones que interrumpan el servicio.</li>

                <li align="justify">Los daños o perjuicios que se deriven de circunstancias acaecidas por caso fortuito o fuerza mayor.</li>
            </ul>
            <h3 align="justify">Ley aplicable</h3>
            <p align="justify">La <strong>PLATAFORMA</strong>, sus avisos y condiciones, se regirán por la legislación española. Igualmente, ante cualquier conflicto o controversia que se pudiera producir por la presente <strong>PLATAFORMA</strong>, se someterá a los Juzgados y Tribunales españoles de la ciudad de Valencia.</p>

            <p align="justify">No obstante, en aquellos supuestos en los que exista un conflicto entre los USUARIOS. ajeno al uso de la <strong>PLATAFORMA</strong>, aunque haya sido originado por un mensaje de la misma, las partes se someterán, a su elección o por imperativo legal, al fuero que acuerden o corresponda.</p>

            <h3 align="justify">Condiciones específicas de Uso de la PLATAFORMA</h3>
            <h5 align="justify">Carácter gratuito del acceso e idioma de la PLATAFORMA</h5>
            <p align="justify">Los USUARIOS podrán navegar por la <strong>PLATAFORMA</strong>, visionar su Contenido, y enviar formularios de contacto a los oferentes de forma gratuita. De igual modo, la inclusión de productos en la <strong>PLATAFORMA</strong> (USUARIO oferente) será inicialmente gratuita, si bien podrá condicionarse a una cuota o suscripción si así lo considera ATEVAL. En ese momento, se avisará a los oferentes con 1 mes de plazo para que puedan decidir si mantienen su oferta en la <strong>PLATAFORMA</strong>.</p>

            <p align="justify">La <strong>PLATAFORMA</strong> no exige la previa suscripción o registro para el acceso de los USUARIOS finales a ella, ni para el envío de formularios de interés a los USUARIOS oferentes.</p>

            <p align="justify">El idioma utilizado por ATEVAL en la <strong>PLATAFORMA</strong> será inicialmente el español y se ampliará posteriormente a otros como el inglés. ATEVAL no se responsabilizará de la no comprensión o entendimiento del idioma de la <strong>PLATAFORMA</strong> por el USUARIO,ni de las consecuencias que puedan derivar de ello.</p>

            <h5 align="justify">Uso de la PLATAFORMA por el USUARIO final.</h5>
            <p align="justify">LA <strong>PLATAFORMA</strong> es una página web dirigida a poner en contacto a los USUARIOS Finales con los USUARIOS oferentes y su oferta de productos de protección. No obstante, la compra de los productos se realiza fuera de la <strong>PLATAFORMA</strong>, conociendo ATEVAL únicamente el contenido del primer mensaje (consulta) remitido por el USUARIO final al USUARIO oferente.</p>

            <p align="justify">De este modo, el formulario de contacto que los USUARIOS Finales cumplimentan para ponerse en contacto con los USUARIOS oferentes les llegará a estos últimos directamente, además de quedarse almacenado en la <strong>PLATAFORMA</strong>, a los solos efectos de guardar copia del mismo.</p>

            <p align="justify">De igual modo, aquellos USUARIOS que accedan a la <strong>PLATAFORMA</strong> como USUARIOS Finales y que quieran obtener información sobre un determinado producto, se comprometen a hacer un uso diligente de los servicios accesibles desde la <strong>PLATAFORMA</strong> de acuerdo con la Ley, las buenas costumbres y los presentes avisos legales y condiciones de uso.</p>

            <p align="justify">ATEVAL podrá, sin previo aviso y sin justificación alguna, modificar y/o suprimir contenidos de la <strong>PLATAFORMA</strong> si no cumplen con las presentes condiciones de uso o son contrarios a alguna ley o normativa española.</p>

            <p align="justify">ATEVAL exigirá a los USUARIOS oferentes el cumplimiento de la normativa aplicable en España, directa o indirectamente, para la venta de los productos sanitarios, de protección y seguridad ofrecidos. Sin embargo, ATEVAL no asume ninguna responsabilidad derivada de la relación entre los USUARIOS ni de las condiciones o características de los productos ofrecidos, en particular en caso de exigirse requisitos adicionales por causas imputables al USUARIO final. Esa responsabilidad es imputable a los USUARIOS.</p>

            <p align="justify">Si como USUARIO percibe algún Contenido inapropiado dentro de la <strong>PLATAFORMA</strong>, debe contactar con nosotros a través del correo electrónico ateval@ateval.com o desde el apartado "Contacto” de la <strong>PLATAFORMA</strong>.</p>

            <h5 align="justify">Uso de la <strong>PLATAFORMA</strong> por el USUARIO oferente</h5>
            <p align="justify">Los USUARIOS oferentes son aquellos que publican sus ofertas comerciales en la <strong>PLATAFORMA</strong>, así como los que gestionan y responden los mensajes recibidos por los USUARIOS finales en relación a dichas ofertas.</p>

            <p align="justify">ATEVAL velará porque los USUARIOS oferentes cumplan de la normativa aplicable en España, directa o indirectamente, para la venta de los productos sanitarios, de protección y seguridad ofrecidos. Sin embargo, y ante la imposibilidad de auditar los datos aportados por los oferentes, ATEVAL no asume ninguna responsabilidad sobre los mismos, su certeza y exactitud, ni tampoco asume responsabilidad alguna por la relación entre los USUARIOS ni las condiciones o características de los productos ofrecidos, en particular en caso de exigirse requisitos adicionales por causas imputables al USUARIO oferente. Esa responsabilidad es imputable a los USUARIOS.</p>

            <p align="justify">Estos usuarios sí deben darse de alta en la <strong>PLATAFORMA</strong> a través del apartado denominado "Oferentes” (https://productosemergencias.com/login) que sirve tanto para iniciar sesión como para darse de alta como USUARIO oferente.</p>

            <p align="justify">En caso de querer darse de alta como USUARIO oferente, deberá cumplimentar el formulario de datos, así como obligarse expresamente al cumplimiento de las CONDICIONES GENERALES PARA EL ALTA, ubicadas a continuación del mismo. En particular, deberá aportar la siguiente información a ATEVAL:</p>
            <ul>
                <li align="justify">Razón Social y CIF</li>

                <li align="justify">Dirección completa.</li>

                <li align="justify">Teléfono.</li>

                <li align="justify">Marca.</li>

                <li align="justify">Dirección de Internet (página web de la empresa).</li>

                <li align="justify">Persona de contacto.</li>

                <li align="justify">Email de contacto (usuario).</li>

                <li align="justify">Contraseña.</li>
            </ul>
            <p align="justify">Al aceptar expresamente (selección del check) las condiciones y obligaciones requeridas al USUARIO OFERENTE, se activará la <strong>PLATAFORMA</strong> para el mismo y podrá entonces incluir y guardad sus datos e información.</p>

            <p align="justify">Tras la aceptación de la participación en la <strong>PLATAFORMA</strong> bajo las condiciones de uso de la misma, el sistema envía un email automático a la dirección principal indicada por el USUARIO oferente, que, para poder continuar con el registro, deberá pulsar sobre el link de confirmación incluido en dicho correo electrónico. De esta forma, se verifica el correo electrónico y el acceso al mismo, puesto que será el único medio de interlocución con los USUARIOS finales.</p>

            <p align="justify">Tras su registro completo en la <strong>PLATAFORMA</strong>, el identificador será el propio email (previamente verificado), junto a la contraseña que haya incluido, y que debe conservar y usar con la diligencia debida. El uso de esta contraseña es personal e intransferible, y el USUARIO oferente deberá tomar las medidas necesarias para su custodia. El USUARIO oferente es el único responsable de la utilización de su contraseña se realice, quedando eximida ATEVAL de cualquier problema que pudiera acontecer. En el supuesto de que el USUARIO oferente conozca o sospeche que se está haciendo un uso por terceros no autorizados mediante su identificador y contraseña, debe poner de manifiesto tal circunstancia a ATEVAL de forma inmediata.</p>

            <p align="justify">El USUARIO oferente, una vez registrado en la <strong>PLATAFORMA</strong>, podrá subir la información relativa a sus productos y a su empresa, respetando las CONDICIONES GENERALES previamente aceptadas. Además, el registro activará el formulario de contacto directo, a través del cual el USUARIO Final podrá comunicarse con el USUARIO oferente. A su vez, el Usuario oferente dispone de un acceso a los contactos iniciales recibidos en la <strong>PLATAFORMA</strong> a través del propio formulario de los productos, al cual se accede a través del botón con el texto:”¿interesado? Contacta con nosotros aquí”. Este primer mensaje entre USUARIOS será el único mensaje almacenado en la <strong>PLATAFORMA</strong> y que podrá ser consultado posteriormente por el USUARIO OFERENTE, como histórico del primer contacto obtenido.</p>

            <p align="justify">Por último, el USUARIO oferente tiene acceso a otro tipo de secciones, como ayudas y obtención de estadísticas, que faciliten el uso y análisis de la <strong>PLATAFORMA</strong>.</p>

            <p align="justify">ATEVAL no editará los contenidos relacionados con los productos o información incluidas por el USUARIO oferente en la <strong>PLATAFORMA</strong> de forma general, salvo que se den razones de fuerza mayor, quejas de usuarios o incumplimiento por parte del USUARIO oferente.</p>

            <p align="justify">El USUARIO oferente será el único responsable de los contenidos de sus ofertas comerciales en la <strong>PLATAFORMA</strong> y de la gestión de los mensajes de los USUARIOS finales, así como ulteriores relaciones o contactos que puedan surgir entre ambos.</p>

            <p align="justify">En particular y en lo que la gestión de los datos personales de los USUARIOS finales se refiere, en relación con los datos personales que recabe fruto del primer contacto efectuado dentro de la <strong>PLATAFORMA</strong>, El USUARIO oferente tratará los mismos conforme a lo dispuesto en el Reglamento (UE) 2016/679, del Parlamento Europeo y del Consejo, de 27 de abril de 2016, relativo a la protección de las personas físicas en lo que respecta al tratamiento de datos personales y a la libre circulación de estos datos y por el que se deroga la Directiva 95/46/CE y demás normativa de desarrollo, y en la Ley Orgánica 3/2018, de 5 de diciembre, de Protección de Datos Personales y Garantía de los Derechos Digitales. En particular, facilitará a los titulares de los datos los derechos de acceso, rectificación, supresión, limitación del tratamiento, portabilidad y oposición, y los demás previstos en la legislación aplicable, en la dirección o correo electrónico que aparezca como contacto en la oferta comercial.</p>

            <p align="justify">A partir de ese primer contacto mediante la <strong>PLATAFORMA</strong>, todo contacto posterior y eventual relacion entre los USUARIOS se mantendrá fuera de esta, eximiendo expresamente a ATEVAL de cualquier eventual problema que pudiera acontecer, tanto en la gestión de datos personales como propiamente en relacion con los productos y la venta de los mismos.</p>

            <p align="justify">Ateval se reserva el derecho de aceptar o rechazar a cualquier Usuario Oferente, o bien, a cualquier producto, tras el análisis de quejas verificadas por parte de usuarios, o bien, por la imposibilidad, por parte del USUARIO oferente, de demostrar la validez de la información publicada, previo requerimiento de ATEVAL.</p>

            <h3 align="justify">POLÍTICA DE COOKIES</h3>
            <p align="justify">En cumplimiento con lo dispuesto en el artículo 22.2 de la Ley 34/2002, de 11 de julio, de Servicios de la Sociedad de la Información y de Comercio Electrónico, se informará al USUARIO sobre la política de recogida y tratamiento de cookies.</p>

            <p align="justify">El objetivo de esta política es informar a los interesados acerca de los distintos tratamientos que realizamos y que afectan a sus datos personales de conformidad con lo establecido en la Ley Orgánica 3/2018, de 5 de diciembre, de Protección de Datos Personales y garantía de los derechos digitales y el Reglamento (UE) 2016/679 del Parlamento Europeo y del Consejo de 27 de abril de 2016.</p>

            <p align="justify">El acceso y la navegación en nuestra web, o el uso de los servicios de esta, requiere el uso cookies en su equipo para que la experiencia de navegación del USUARIO sea lo más satisfactoria posible.</p>

            <p align="justify">En caso de que el USUARIO preste su consentimiento, que otorga cuando hace clic en el botón "Aceptar” que se encuentra en el banner informativo, la <strong>PLATAFORMA</strong> utilizará cookies que permitan obtener más información sobre las preferencias del USUARIO y así personalizar la <strong>PLATAFORMA</strong> conforme a los intereses individuales del USUARIO.</p>

            <h5 align="justify">Datos de contacto del responsable</h5>
            <p align="justify">Asociación de Empresarios Textiles de la Comunidad Valenciana ATEVAL<br>
                CIF: G-46108569<br>
                Dirección postal: C. Els Telers, 20 - Ontinyent (46870-Valencia)<br>
                Teléfono: 96 291 30 30<br>
                Correo electrónico: ateval@ateval.com</p>

            <h5 align="justify">¿Qué son las cookies?</h5>
            <p align="justify">Las cookies son fragmentos de texto enviados por un sitio web al disco duro o el navegador web del USUARIO con el fin de retener la siguiente información:


            <ul>
                <li align="justify">La fecha y la hora de la última vez que el USUARIO visitó nuestro sitio Web.
                <li align="justify">El diseño de contenidos que el USUARIO escogió en su primera visita a nuestra <strong>PLATAFORMA</strong>.

                <li align="justify">Elementos de seguridad que intervienen en el control de acceso a las áreas restringidas.

                <li align="justify">N° de visitas, páginas vistas, dirección IP, etc. para la elaboración de estadísticas agregadas e informes para el mantenimiento y mejora de nuestra <strong>PLATAFORMA</strong>.

                <li align="justify">N° de visitas, páginas vistas, dirección IP y parámetros de seguimiento de las conversiones para la personalización de la experiencia de navegación.
            </ul>
            <p align="justify">Las cookies se utilizan únicamente para darle utilidad tecnológica a la <strong>PLATAFORMA</strong> y para almacenar información importante para hacer sus visitas más convenientes, es decir, ofrecer un servicio más personalizado y ayudar a que la navegación por las páginas resulte más fácil.</p>

            <p align="justify">Respetamos en todo momento la privacidad de nuestros usuarios. Las cookies nos permiten analizar la actividad del USUARIO para mejorar nuestro sitio web. No compartimos los datos personales o información relativa a las actividades de nuestros usuarios.</p>

            <p align="justify">En caso de no querer recibir cookies, el USUARIO deberá configurar las cookies aplicables a su visita a la <strong>PLATAFORMA</strong> desde el banner que aparece nada más entrar en la <strong>PLATAFORMA</strong> o desde la propia Política de Cookies de esta.</p>

            <h5 align="justify">Tipos de cookies utilizadas en la <strong>PLATAFORMA</strong>:</h5>
            <p align="justify">A continuación, el listado empleado para personalizar las cookies aplicables a la visita a la <strong>PLATAFORMA</strong> por el Usuario:

            <p align="justify">Nombre: Google Analytics</br>
                Tipo/Propiedad: Las bibliotecas de JavaScript de Google Analytics usan cookies HTTP para recordar lo que ha hecho un usuario en páginas o en interacciones anteriores con el sitio web.</br>
                Origen: Google</br>
                Finalidad: Determinar el dominio del que se hará el seguimiento</br>
                Caducidad: 18 meses</p>
            <h5 align="justify"> Deshabilitar y bloquear cookies</h5>
            <p align="justify">Asimismo, puede usted permitir, bloquear o eliminar las cookies instaladas en su equipo mediante la configuración de las opciones del navegador instalado en su ordenador a través de los siguientes enlaces que tiene a su disposición en función del tipo de navegador:</p>

            <ul>
                <li align="justify">CHROME: https://support.google.com/chrome/answer/95647?hl=es</li>

                <li align="justify">INTERNET EXPLORER: http://windows.microsoft.com/es-es/windows-vista/block-or-allow-cookies</li>

                <li align="justify">MOZILLA FIREFOX: https://support.mozilla.org/es/kb/Borrar%20cookies</li>

                <li align="justify">SAFARI: https://support.apple.com/es-es/HT201265</li>

                <li align="justify">Safari para IOS: http://support.apple.com/kb/ht1677?viewlocale=es_es</li>

                <li align="justify">Chrome para Android: https://support.google.com/chrome/answer/2392971?hl=es</li>
            </ul>
            <p align="justify">Los navegadores se someten a continuas actualizaciones o modificaciones, por ello ATEVAL no puede garantizar que la información aportada en los enlaces se ajuste completamente a la versión de su navegador.</p>

            <p align="justify">La desactivación de las cookies no impide la navegación por la <strong>PLATAFORMA</strong>, pero podrá limitar el uso de algunos de sus servicios, siendo la experiencia de navegación del USUARIO menos satisfactoria.</p>

            <p align="justify">El USUARIO podrá en cualquier momento retirar su consentimiento y podrá eliminar las cookies que estén almacenadas en su equipo a través de la opción "Configuración” de su navegador.</p>

            <p align="justify">Para más información sobre la Política de cookies de la <strong>PLATAFORMA</strong>, el USUARIO puede contactar con ATEVAL a través de la siguiente dirección de correo electrónico: ateval@ateval.com</p>


            <p align="right">Abril, 2020<br>
            <strong>PADIMA</strong></p>


        </div>
    </section>
</main>
<?php require_once 'forms\footer.php' ?>