<?php
$title = 'Editar producto';
require_once 'db\conn.php';
include_once 'includes/session.php';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    if ($_POST['cat'] == "Preparación e hilado de fibras") {
        $crud->editFilat($_POST, $_FILES);
        
    } elseif ($_POST['cat'] == "Fabricación de tejidos") {
    } //elseifs per a cada categoria

    header("location: list-blank.php?edited=true");
} else {
    $infoProduct = $crud->getInfo($_GET['product_id'], $crud->getEstructura($_GET['cat']));
    if ($_SESSION['userid'] != 1) {
        if ($_SESSION['userid'] != $infoProduct['user_id']) {
            header("location: list-blank.php");
        }
    }
    //header('Location: index.php');}
    require_once 'forms\header.php';
    require_once 'includes\auth_check.php';

?>

    <main id="main">

        <!-- ======= Breadcrumbs ======= -->
        <section id="breadcrumbs" class="breadcrumbs">
            <div class="container mb-0">

                <ol>
                    <li><a href="index.php">Home</a></li>
                    <li><a href="home-user.php"><?php echo $_SESSION['raoSocial'] ?> </span> <span class="sr-only"></a></li>
                    <li><a href="list-blank.php">Cartera </span> <span class="sr-only"></a></li>
                    <li>Editar producto</span> <span class="sr-only">(current)</li>
                </ol>
                <h2>Editar producto</h2>

            </div>
        </section><!-- End Breadcrumbscommitplease-->

        <section class="contact section-bg ">
            <div class="container">
                <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" role="form" class="php-email-form" enctype="multipart/form-data">
                    <h4>Características - <?php echo $crud->getCatById($_GET['cat']) ?></h4>
                    <hr>
                    <?php
                    $camps = $crud->getCamps($crud->getCatById($_GET['cat']));
                    while ($row = $camps->fetch(PDO::FETCH_ASSOC)) {
                        //CASOS QUE NO S'HAN DE MOSTRAR//
                        if ($row['COLUMN_NAME'] == "id_product" || $row['COLUMN_NAME'] == "user_id" || $row['COLUMN_NAME'] == "idproduct" || $row['COLUMN_NAME'] == "categoria") {
                            if ($row['COLUMN_NAME'] == "id_product") { ?>

                                <div class="form-row">
                                    <div class="col-9 form-group">
                                        <h6>Categoría</h6>
                                        <input type="text" name="cat" class="form-control" id="cat" placeholder="<?php echo $crud->getCatById($_GET['cat']) ?>" value="<?php echo $crud->getCatById($_GET['cat']) ?>" readonly>
                                    </div>
                                    <div class="col-3 form-group">
                                        <h6>ID</h6>
                                        <input type="text" name="idproduct" class="form-control" id="idproduct" placeholder="" value="<?php echo $infoProduct['id_product'] ?>" readonly>
                                    </div>
                                </div>
                            <?php
                            }
                        }
                        //CASOS QUE SÓN UN INT
                        elseif (strripos($row['COLUMN_TYPE'], "int") > -1) {
                            echo "<h4>" . $row['COLUMN_NAME'] . "</h4><br>";
                            ?>
                            <h5><?php echo ucfirst($row['COLUMN_NAME']); ?></strong></h5>
                            <div class="form-row">
                                <div class="col form-group">
                                    <input type="text" name="<?php echo $row['COLUMN_NAME'] ?>" class="form-control" id="<?php echo $row['COLUMN_NAME'] ?>" placeholder="" value="">
                                </div>
                            </div>
                            <br>
                        <?php

                        }
                        //CASOS DE SELECCIÓ MÚLTIPLE
                        elseif (strripos($row['COLUMN_TYPE'], "set") > -1) {
                            echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>";
                            $llista = str_replace("'", "", str_replace("','", " ", str_replace(")", "", str_replace(" ", "_", substr($row['COLUMN_TYPE'], 4)))));
                            $elements = explode(" ", $llista);
                        ?>

                            <?php

                            foreach ($elements as $el) {

                                $el = str_replace("_", " ", $el);
                                echo '<div class="form-check">';
                                if (strpos($infoProduct[$row['COLUMN_NAME']], $el) > -1) {
                                    echo '<input class="form-check-input" type="checkbox" name="' . $row['COLUMN_NAME'] . ":" . $el . '" value="' . $el . '"' . 'checked>';
                                } else {
                                    echo '<input class="form-check-input" type="checkbox" name="' . $row['COLUMN_NAME'] . ":" . $el . '" value="' . $el . '"';
                                }
                                echo '<label class="form-check-label" for="' . $el . '">' . $el . '</label>';
                                echo '</div>';

                                //echo "<option>".$el=str_replace("_"," ",$el)."</option>";
                            }
                            ?>
                            <br>
                        <?php
                            //CASOS DE SELECCIÓ D'UNA LLISTA
                        } elseif (strripos($row['COLUMN_TYPE'], "enum") > -1) {
                            echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>";
                            $llista = str_replace("'", "", str_replace("','", " ", str_replace(")", "", str_replace(" ", "_", substr($row['COLUMN_TYPE'], 5)))));
                            $elements = explode(" ", $llista);
                        ?>
                            <select class="form-control" name="<?php echo $row['COLUMN_NAME'] ?>" id="<?php echo $row['COLUMN_NAME'] ?>">
                                <?php

                                foreach ($elements as $el) {
                                    if ($el == $infoProduct[$row['COLUMN_NAME']]) echo "<option>" . $el = str_replace("_", " ", $el) . "</option>";
                                }
                                foreach ($elements as $el) {
                                    if ($el != $infoProduct[$row['COLUMN_NAME']]) echo "<option>" . $el = str_replace("_", " ", $el) . "</option>";
                                }
                                ?>
                            </select><br>
                            <?php
                            //CAS D'ESCRIURE EN UNA FILA I D'IMATGE
                        } elseif (strripos($row['COLUMN_TYPE'], "varchar") > -1) {
                            echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>";
                            switch ($row['COLUMN_NAME']) {
                                //IMATGE
                                case "imagen":
                            ?>
                                    <div class="form-row">
                                        <div class="col-md-8 col-sm-12 form-group">
                                            <input type="file" name="imagen" id="imagen" class="custom-control-input inputfile inputfile-2" data-multiple-caption="{count} files selected" accept="image/*" />
                                            <label for="imagen"><span><i class="bx bx-upload"></i> Subir nueva imagen de producto (opcional)</span></label>
                                        </div>
                                        <div class="col form-group">
                                            <?php echo "<h6>" . "Imagen anterior" . "</h6>";?>
                                            <img src="<?php echo $infoProduct[$row['COLUMN_NAME']]; ?>" alt="<?php echo $row['imagen']; ?>" style="background:lightgrey;height:150px;width:100%;display:block;object-fit:contain">
                                        </div>
                                    </div>
                                <?php
                                    break;
                                    //TEXT PER DEFECTE
                                default:
                                ?>
                                    <input type="text" name="<?php echo $row['COLUMN_NAME'] ?>" class="form-control" id="<?php echo $row['COLUMN_NAME'] ?>" placeholder="<?php echo ucfirst($row['COLUMN_NAME']) ?>" data-rule="minlen:4" data-msg="Please enter at least 4 chars" value="<?php echo $infoProduct[$row['COLUMN_NAME']] ?>" />
                                    <div class="validate"></div>
                                    <br>
                            <?php


                            }
                            //CAS D'ESCRIURE EN UN TEXT LLARG
                        } elseif (strripos($row['COLUMN_TYPE'], "mediumtext") > -1) {
                            echo "<h4>" . ucfirst($row['COLUMN_NAME']) . "</h4>"; ?>
                            <div class="form-group">
                                <textarea class="form-control" name="<?php echo $row['COLUMN_NAME'] ?>" rows="5" placeholder="<?php echo ucfirst($row['COLUMN_NAME']) ?>"><?php echo $infoProduct[$row['COLUMN_NAME']] ?></textarea>
                                <div class="validate"></div>
                            </div>
                        <?php

                        } else {
                            echo "<h4>Este no el pilla" . $row['COLUMN_TYPE'] . " " . $row['COLUMN_NAME']  . "</h4>";
                        }
                        ?>


                    <?php }
                    ?>
                    <button type="submit" class="btn">Guardar</button><br>
                <?php
            }
                ?>

                </form>
            </div>
        </section>

    </main><!-- End #main -->
    <?php require_once 'forms\footer.php' ?>