<?php 
include_once 'includes/session.php'?>
<!DOCTYPE html>
<html lang="es_ES">

<head>
<meta http-equiv=”Content-Type” content=”text/html; charset=ISO-8859-1″ />
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>ATEVAL - <?php echo $title ?></title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link href="assets/img/favicon.png" rel="icon">
  <link href="assets/img/favicon.png" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

  <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/icofont/icofont.min.css" rel="stylesheet">
  <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
  <link href="assets/vendor/animate.css/animate.min.css" rel="stylesheet">
  <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
  <link href="assets/vendor/venobox/venobox.css" rel="stylesheet">
  <link href="assets/vendor/owl.carousel/assets/owl.carousel.min.css" rel="stylesheet">
  <link href="assets/vendor/aos/aos.css" rel="stylesheet">
  <link href="assets/css/style.css" rel="stylesheet">
  <link href="assets/css/form.css" rel="stylesheet">
  
<!-- include summernote css/js -->
    
  
</head>

<body>

  <!-- ======= Header ======= -->
  <header id="header" class="fixed-top">
    <div class="container d-flex align-items-center">      
      
      <a href="index.php" class="logo mr-auto"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>

      <nav class="nav-menu d-none d-lg-block">
        <ul>
        
        <?php if($title=="Home") echo "<li class=\"\"><a href=\"#portfolio\">Catálogo</a></li>"?>
          <li class="drop-down"><a href="#">Servicios</a>
            <ul>
              <li><a href="product-showcase.php?cat=1">Hilatura</a></li>
              <li class="drop-down"><a href="#">Tejido</a>
                <ul>
                  <li><a href="product-showcase.php?cat=2">Fabricación de tejidos</a></li>
                  <li><a href="product-showcase.php?cat=3">Fabricación de no tejidos</a></li>
                  <li><a href="product-showcase.php?cat=4">Fabricación de textil-productos sanitarios</a></li>
                  <li><a href="product-showcase.php?cat=5">Fabricación de textiles técnicos</a></li>
                  <li><a href="product-showcase.php?cat=7">Fabricación de tejidos de punto</a></li>
                </ul>
              </li>
              <li><a href="product-showcase.php?cat=11">Ropa</a></li>
              <li class="drop-down"><a href="#">Otros</a>
                <ul>
                  <li><a href="product-showcase.php?cat=6">Acabado de textiles</a></li>
                  <li><a href="product-showcase.php?cat=8">Fabricación de artículos confeccionados con textiles</a></li>
                  <li><a href="product-showcase.php?cat=9">Fabricación de alfombras</a></li>
                  <li><a href="product-showcase.php?cat=10">Fabricación de cordelería</a></li>
                  <li><a href="product-showcase.php?cat=12">Fabricación de otros productos textiles</a></li>
                </ul>
              </li>
            </ul>
          </li>
          <li><a href="news.php">Noticias</a></li>
            <?php 
              if(!isset($_SESSION['userid'])){
          ?>
            <li><a href="login.php">Acceso para socios <span class="sr-only">(current)</span></a></li>
          <?php } else { ?>
            <li class="<?php if($title=="Usuario") echo "active";?>"><a href="home-user.php"><span>Tablero - <?php echo $_SESSION['raoSocial']  ?> </span> <span class="sr-only">(current)</span></a></li>
            <li><a href="logout.php"><i class="bx bx-log-out"></i> Logout <span class="sr-only">(current)</span></a></li>
          <?php } ?>
        </ul>
      </nav><!-- .nav-menu -->

    </div>
  </header><!-- End Header -->