<?php
$title = 'Iniciar Sesión';
require_once 'db/conn.php';
include_once 'includes/session.php';
if(isset($_SESSION['userid'])){
header("Location: home-user.php");
}
?>

<body>
    <br><br>
    <!-- ======= Contact Section ======= -->
    <section id="contact" class="contact section-bg">
        <div class="container">
            <?php
            if ($_SERVER['REQUEST_METHOD'] == 'POST') {
                $username = strtolower(trim($_POST['username']));
                $password = $_POST['password'];
                $new_password = md5($password . $username);

                $result = $user->getUser($username, $new_password);
                if (!$result) {
                    echo '<div class="alert alert-warning text-center">Usuario o contraseña incorrectos. Por favor, inténtelo de nuevo. </div>';
                } else {
                    $_SESSION['username']   = $username;
                    $_SESSION['userid']     = $result['id'];
                    $_SESSION['nomCognoms'] = $result['nomCognoms'];
                    $_SESSION['raoSocial']  = $result['raoSocial'];
                    $_SESSION['marca']      = $result['marca'];
                    $_SESSION['url']        = $result['url'];
                    $_SESSION['email']      = $result['email'];
                    $_SESSION['cif']        = $result['cif'];
                    $_SESSION['pais']       = $result['pais'];
                    $_SESSION['provincia']  = $result['provincia'];
                    $_SESSION['logo']       = $result['logo'];
                    header("Location: home-user.php");
                }
            }
            require_once 'forms\header.php';
            ?>

            <div class="section-title">
                <h2>Socios</h2>
                <p>Inicio de sesión para socios</p>
            </div>

            <div class="row ">

                <div class="col-lg-12">
                    <div class="row text-center">
                        <div class="col-lg-2"></div>
                        <div class="col-md-12 col-lg-8">
                            <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" class="php-email-form">
                                <div class="form-row">
                                    <div class="col form-group">
                                        <input type="text" name="username" class="form-control text-center" id="username" placeholder="Usuario" value="<?php if ($_SERVER['REQUEST_METHOD'] == 'POST') echo $_POST['username']; ?>">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <input type="password" name="password" placeholder="Contraseña" class="form-control text-center" id="password">
                                </div>
                                <button type="submit" class="btn btn-outline-info mt-2">Iniciar Sesión</button>
                            </form>
                            <br>
                            <a href="register.php" class="btn-learn-more">Registro para socios</a>
                        </div>
                        <div class="col-lg-2"></div>
                    </div>
                </div>
            </div>

        </div>
    </section>
    </form>
</body>

</html>
<?php require_once 'forms\footer.php' ?>