<?php
$title = "Noticias";
require_once 'forms\header.php';
require_once 'db\conn.php';
if (!isset($_GET)) $currentPage = 0;
else $currentPage = $_GET['page']

?>
<br><br>
<section id="team" class="team section-bg">
    <div class="container" data-aos="fade-up">

        <div class="section-title">
            <h2>ATEVAL</h2>
            <p><?php echo $title ?></p>
        </div>

        <div class="d-flex justify-content-center row row-cols-1 row-cols-sm-12 row-cols-md-3 g-3">
            <?php $noticies = $crud->getNoticies($currentPage);
            $i = 0;
            while ($row = $noticies->fetch(PDO::FETCH_ASSOC)) { ?>

                <div class="col col-md-10 col-lg-6 mb-3">
                    <a href="newsView.php?idnoticia=<?php echo $row['idnoticia']?>" class="text-dark">
                        <div class="card shadow-sm h-100">
                            <?php if (!isset($row['imagen']) ){echo '<img src="uploads\new\default\default.jpg" class="img-fluid ${3|rounded-top,rounded-right,rounded-bottom,rounded-left,rounded-circle,|}" style="height:225px;width:100%;object-fit:cover;" alt="">';
                                  }else echo '<img src="'.$row['imagen'].'" class="img-fluid ${3|rounded-top,rounded-right,rounded-bottom,rounded-left,rounded-circle,|}" style="height:225px;width:100%;object-fit:cover;" alt="">'; ?>
                            <!--svg class="bd-placeholder-img card-img-top" width="100%" height="225" xmlns="http://www.w3.org/2000/svg" role="img" preserveAspectRatio="xMidYMid slice" focusable="false">
                                <title>Imagen de noticia</title>
                                <rect width="100%" height="100%" fill="#55595c"></rect>
                            </svg-->
                            <?php $i++; ?>
                            <div class="card-body">
                                <p class="card-text text-justify"><strong><?php echo $row['titular']; ?></strong></p>
                                <p class="card-text mt-0 text-justify text-secondary"><?php echo $row['subtitular']; ?></p>
                                <div class="d-flex justify-content-end align-self-end">
                                    <div>
                                        <small class="text-muted mb-0 p-0"><?php echo $crud->formatDate($row['dataPub']) ?></small><br>
                                        <small class="text-muted mt-0 p-0"><?php echo $crud->formatTime($row['dataPub']) ?></small>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
            <?php } ?>
        </div>
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
                <li class="page-item <?php if ($currentPage == 0) echo "disabled" ?>">
                    <a class="page-link" href="news.php?page=<?php echo $currentPage - 1; ?>" tabindex="-1">Anterior</a>

                </li>
                <?php
                $pages = $crud->paginationNumber();
                for ($i = 0; $i < $pages; $i++) {
                ?>
                    <li class="page-item <?php if ($i == ($currentPage)) echo "disabled"; ?>"><a class="page-link" href="news.php?page=<?php echo $i; ?>"><?php echo $i + 1; ?></a></li>
                <?php } ?>
                <li class="page-item <?php if (($currentPage + 1) == $pages) echo "disabled"; ?>"><a class="page-link" href="news.php?page=<?php echo $currentPage + 1; ?>">Siguiente</a>
                </li>
            </ul>
        </nav>

    </div>
</section>
</main><!-- End #main -->



<?php require_once 'forms\footer.php' ?>