<?php
$cat = $_GET['cat'];
$title = $_GET['marca'];
require_once 'mail\mail.php';
require_once 'db\conn.php';
if ($_SERVER['REQUEST_METHOD'] == "POST") {
  $mail = new mail();
  $name    = $_POST['name'];
  $email   = $_POST['email'];
  $subject = "Contacto desde ATEVAL: " . $_POST['marca'] . " - " . $_POST['nombre'];
  $message = $_POST['message'];
  $companyEmail = $crud->getEmail($_POST['userid']);
  $mail->sendMail($name, $email, $companyEmail, $subject, $message);
}
require_once 'forms\header.php';
$info = $crud->getOferta($title, $cat);
$specificInfo = $crud->getInfo($info['idproduct'], $crud->getEstructura($cat));


?>
<br><br>
<main id="main">
  <section id="portfolio-details" class="portfolio-details">
    <div class="container">
      <div class="section-title">
        <h2>Oferentes</h2>
        <p><?php echo $info['nombre'] ?></p>
      </div>

      <div class="portfolio-details-container">

        <div class="owl-carousel portfolio-details-carousel">
          <img style="<?php echo "background:lightgrey;height:550px;width:100%;display:block;object-fit:contain"; ?>" src="<?php echo $specificInfo['imagen'] ?>" class="img-fluid col-xs-1 col-md-12" alt="">

        </div>

        <div class="portfolio-info animate__animated animate__fadeInUp" style="max-width: 500px;">
          <h3>Información Relacionada</h3>
          <ul>
            <li><strong>Marca</strong>: <?php echo $info['marca']; ?></li>
            <li><strong>Empresa</strong>: <?php echo $info['raoSocial'] ?></li>
            <li><strong>Provincia y País</strong>: <?php echo $info['pais'] . ", " . $info['provincia'] ?></li>
            <li><strong>Web corporativa</strong>: <a href="<?php echo "http://" . $info['url'] ?>"><?php echo $info['url'] ?></a></li>
            <?php foreach ($specificInfo as $key => $value) {
              if (strlen($key) > 2) {
                switch ($key) {
                  case "user_id":
                  case "idproduct":
                  case "id_product":
                  case "descripcion":
                  case "imagen":
                  case "categoria":
                    break;
                  default:
            ?>
                    <li><strong><?php echo str_replace(",", ", ", ucfirst($key)) ?></strong>: <?php echo str_replace(",", ", ", $value) ?></li>
            <?php }
              }
            } ?>
          </ul>

          <div class="row col-12">
            <a class="btn text-center col-6 animate__animated animate__fadeInUp scrollto" style="background: #ed502e;border: 0;padding: 10px 30px;border-radius: 4px;color: #fff;transition: 0.4s;align-items:center;" href="#contactar">Contactar</a>
          </div>
          <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" role="form" enctype="multipart/form-data" class="row col-12" style="align-items:center">
          </form>

        </div>

      </div>
      <br><br>
      <div class="portfolio-description" id="portfolio-description">
        <h2>Descripción del oferente</h2>
        <hr>
        <p class="text-justify">
          <?php echo $info['descripcion']; ?>
        </p>
        <br id="contactar" >
        <h2>Contactar</h2>
        <hr>
      </div>
      <div class="contact section-bg" style="background:white">
        <div  style="display: flex;align-items:center;justify-content:center;">
          <div class="col-lg-8">
            <form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post" role="form" class="php-email-form" enctype="multipart/form-data">
              <div class="form-row">
                <div class="col form-group">
                  <input type="text" name="name" class="form-control" id="name" placeholder="Nombre" data-rule="minlen:4" data-msg="Please enter at least 4 chars" />
                  <div class="validate"></div>
                </div>
                <div class="col form-group">
                  <input type="email" class="form-control" name="email" id="email" placeholder="Email de contacto" data-rule="email" data-msg="Please enter a valid email" />
                  <div class="validate"></div>
                </div>
              </div>
              <div class="form-group">
                <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Subject" value="<?php echo $info['nombre'] ?>" data-rule="minlen:4" hidden />
                <div class="validate"></div>
              </div>
              <div class="form-group">
                <input type="text" class="form-control" name="marca" id="marca" placeholder="Subject" value="<?php echo $info['marca'] ?>" data-rule="minlen:4" hidden />
                <div class="validate"></div>
              </div>
              <div class="form-group">
                <input type="text" class="form-control" name="userid" id="userid" placeholder="Subject" value="<?php echo $info['userid'] ?>" data-rule="minlen:4" hidden />
                <div class="validate"></div>
              </div>
              <div class="form-group">
                <textarea class="form-control" name="message" rows="5" data-rule="required" placeholder="Mensaje para el proveedor"></textarea>
                <div class="validate"></div>
              </div>
              <div class="text-center"><button type="submit" style="background: #ed502e;border: 0;padding: 10px 30px;border-radius: 4px;color: #fff;transition: 0.4s;" href="#contactar"> Enviar</button></div>
            </form>
          </div>
        </div>
      </div>





    </div>
  </section><!-- End Portfolio Details Section -->
</main><!-- End #main -->



<?php require_once 'forms\footer.php' ?>